aws.apigateway.get_deployment
Example SQL Queries
SELECT * FROMaws.apigateway.get_deploymentWHERE"rest_api_id" = 'VALUE'AND "deployment_id" = 'VALUE';Description
Gets information about a Deployment resource.
Table Definition
| Column Name | Column Data Type |
|---|---|
| deployment_id Required Input Column The identifier of the Deployment resource to get information about. | VARCHAR |
| rest_api_id Required Input Column The string identifier of the associated RestApi. | VARCHAR |
| embed Input Column A query parameter to retrieve the specified embedded resources of the returned Deployment resource in the response. In a REST API call, this embed parameter value is a list of comma-separated strings, as in GET /restapis/{restapi_id}/deployments/{deployment_id}?embed=var1,var2. The SDK and other platform-dependent libraries might use a different format for the list. Currently, this request supports only retrieval of the embedded API summary this way. Hence, the parameter value must be a single-valued list containing only the "apisummary" string. For example, GET /restapis/{restapi_id}/deployments/{deployment_id}?embed=apisummary. | VARCHAR[] |
Show child fields
| |
| _aws_profile Input Column The AWS profile defines the AWS identity used. It can be defined via credentials or by assuming a IAM role. | STRUCT( |
Show child fields
| |
| _aws_region Input Column The AWS region to use. | VARCHAR |
| api_summary A summary of the RestApi at the date and time that the deployment resource was created. | MAP(VARCHAR, MAP(VARCHAR, STRUCT( |
| created_date The date and time that the deployment resource was created. | TIMESTAMP_S |
| description The description for the deployment resource. | VARCHAR |
| id The identifier for the deployment resource. | VARCHAR |